/**
 *******************************************************************************
 * @file    tmpm3Vx_wdt_int.h
 * @brief   All interrupt request functions prototypes of WDT
 *          for the TOSHIBA 'TMPM3Vx' Device Series
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3Vx_WDT_INT_H
#define __TMPM3Vx_WDT_INT_H

/* Includes ------------------------------------------------------------------*/
#ifdef TMPM3V6
#include "TMPM3V6.h"
#elif TMPM3V4
#include "TMPM3V4.h"
#endif
#include "tmpm3Vx_wdt.h"
#include "tmpm3Vx_cg.h"
#include "led.h"


#define FLG_WDT    ((uint8_t)0x00000001)
#define FLG_NMI    ((uint8_t)0x00000002)

void NMI_Handler(void);

#endif                          /* __TMPM3Vx_WDT_INT_H */
